{% import "templates/header.njk" as header %}
{% import "templates/footer.njk" as footer %}

{% set TITLE = TITLE | default("타이틀") %}
{% set DISPLAY_HEADER = DISPLAY_HEADER | default(true) %}
{% set DISPLAY_FOOTER = DISPLAY_FOOTER | default(true) %}

<!DOCTYPE html>
<html class="no-js" lang="">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta property="og:title" content="PLISM" />
  <meta property="og:image" content="{{ STATIC_URL }}/assets/img/img_meta.jpg" />
  <meta name="format-detection" content="telephone=no">
  <title>{{ TITLE }} | PLISM</title>
  <link rel="shortcut icon" href="{{ STATIC_URL }}/assets/img/img_favicon.png" type="image/x-icon">
  <link rel="icon" href="{{ STATIC_URL }}/assets/img/img_favicon.png" type="image/x-icon">
  {# <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/misc.css"> #}
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/fonts.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/common.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/style.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/m.style.css">
  {% block styles %}
  {% endblock %}
</head>
<body>

  <div class="app">

    <!-- header -->
    {% if DISPLAY_HEADER %}
      {{ header.default(PAGE_ID, PAGE_DEPTH_ID) }}
    {% endif %}
    <!-- //header -->

    <main class="app-container">
      <!-- content -->
      {% block content %}{% endblock %}
      <!-- //content -->
    </main>
    {% if DISPLAY_FOOTER %}
    <!-- footer -->
    {{ footer.default() }}
    <!-- //footer -->
    {% endif %}
  </div>

  {% block modal %}{% endblock %}
  
  {% block bodyScript %}{% endblock %}
  <script type="text/javascript">
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      window.location = 'microsoft-edge:' + window.location;
      setTimeout(function() {
        window.location = 'https://go.microsoft.com/fwlink/?linkid=2135547';
      }, 1);
    }
  </script>
  <script type="text/javascript" src="{{ STATIC_URL }}/assets/js/ui.js"></script>
</body>
</html>
